shithub: pokecrystal

Download patch

ref: f58756cafc0d9e4b7d8d454e98143fa38fbf4c24
parent: 91ea4a2f9b3d169a8e06aed62f19466c643eff83
author: PikalaxALT <PikalaxALT@gmail.com>
date: Tue Nov 3 17:54:19 EST 2015

A more verbose compare.sh

--- a/compare.sh
+++ b/compare.sh
@@ -2,10 +2,32 @@
 # Compares baserom.gbc and pokecrystal.gbc
 
 # create baserom.txt if necessary
-if [ ! -f baserom.txt ]; then
-    hexdump -C baserom.gbc > baserom.txt
+crystal_md5=9f2922b235a5eeb78d65594e82ef5dde
+if [ ! -f baserom.gbc ]; then
+    echo "FATAL: Baserom not found"
+    exit 1
 fi
 
-hexdump -C pokecrystal.gbc > pokecrystal.txt
+base_md5=`md5sum baserom.gbc | cut -d' ' -f1`
+echo "baserom.gbc:     $base_md5"
+if [ $base_md5 != $crystal_md5 ]; then
+    echo "FATAL: Baserom is incorrect"
+    exit 1
+fi
 
-diff -u baserom.txt pokecrystal.txt | less
+built_md5=`md5sum pokecrystal.gbc | cut -d' ' -f1`
+echo "pokecrystal.gbc: $built_md5"
+if [ $built_md5 != $crystal_md5 ]
+then
+    echo "Checksums do not match, here's where the ROMs differ..."
+    if [ ! -f baserom.txt ]; then
+        hexdump -C baserom.gbc > baserom.txt
+    fi
+
+    hexdump -C pokecrystal.gbc > pokecrystal.txt
+
+    diff -u baserom.txt pokecrystal.txt | less
+else
+    echo "Checksums match! :D"
+fi
+